Multipath: adds another accessor so path-selectors can access a path's
bdev. This is necessary for devices which need to send commands down
to the device. (see rdac-test-support.patch)  [Mike Christie]
--- diff/drivers/md/dm-mpath.c	2004-04-06 15:54:55.019142640 +0100
+++ source/drivers/md/dm-mpath.c	2004-04-06 15:54:57.053833320 +0100
@@ -42,6 +42,13 @@ struct path {
 	struct priority_group *pg;
 };
 
+inline struct block_device *dm_path_to_bdev(struct path *path)
+{
+	return path->dev->bdev;
+}
+
+EXPORT_SYMBOL(dm_path_to_bdev);
+
 struct priority_group {
 	struct list_head list;
 
--- diff/drivers/md/dm-path-selector.h	2004-04-06 15:54:55.019142640 +0100
+++ source/drivers/md/dm-path-selector.h	2004-04-06 15:54:57.053833320 +0100
@@ -16,6 +16,8 @@
 
 struct path;
 
+struct block_device *dm_path_to_bdev(struct path *path);
+
 /*
  * We provide an abstraction for the code that chooses which path
  * to send some io down.
